module BotUtilsDefault
    # compare @tokens with tokens of another instance
    def <=>(otherInstance)
        @tokens <=> otherInstance.tokens
    end

    # (see #<=>)
    def ==(otherInstance)
        @tokens == otherInstance.tokens
    end

    # get @tokens length
    def to_i
        @tokens.length
    end

    # add smth to @tokens
    def <<(token)
        @tokens << token
    end
end